Message: OpenScientist and Compilator compatibility .... Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question OpenScientist and Compilator compatibility .... 

Keywords: OpenScientist, Analysis
Forum: Analysis
Date: 20 Jun, 2002
From: Alain Ferragut <Alain Ferragut>

Hi, I have a tricky problem with the compilation of OpenScientist packages. Normally, I have gcc-2.96 installed on my Linux Mandrake 8.1 system. But there were some doubts about this compiler version since it was never a GNU official release. So, I installed gcc-3.0.1 which comes with LM8.1. The advantage is that it is an official GNU release...ok Therefore, I compiled CLHEP and G4 kernel with gcc3.0.1. This went fluently except for CLHEP but the problem is known and solved in GEANT4 FAQ...ok. I started to use G4 and calculations went well...ok Some other soft are fine too with this combination, "dawn" for instance. Now, some OpenScientist package do not have any problem (CMT). BUT, the compilation of CINT is terrible. I have an unbelievable compilation error which is : "In file included from /home/geant4/OSC/v8/CINT/v5r14p80/include/CINT/libstrm.h:35, from ../source/libstrm.cxx:4, from ../source/gb_strm.cxx:18: /home/geant4/OSC/v8/CINT/v5r14p80/include/lib/stream/stdiostr.h:21:25: stdiostream.h : No such File or Directory." Then, I switched back to gcc-2.96 and all was ok. Can you believe it ?

What is happening ????

Thank you very much,

                                Alain

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: OpenScientist and Compilator compatibility ....   (Guy Barrand - 20 Jun, 2002)
 Add Message Add Message
to: "OpenScientist and Compilator compatibility ...."

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]